%define glib2_version           2.19.5
%define gtk2_version            2.15.2
%define nautilus_version        2.25.3
%define gdu_version             0.2
%define policykit_version       0.9

Name:           nautilus-gdu
Version:        0.2
Release:        git20090309.1%{?dist}
Summary:        Nautilus extension for disk formatting

Group:          Applications/File
License:        GPLv2+
URL:            http://fedorapeople.org/gitweb?p=tbzatek/public_git/nautilus-gdu.git;a=summary
# TODO: to fetch latest snapshot please use
#   'git clone git://fedorapeople.org/~tbzatek/nautilus-gdu.git'
Source0:        %{name}-%{version}.git20090309.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: nautilus-devel >= %{nautilus_version}
BuildRequires: gnome-disk-utility-devel >= %{gdu_version}
BuildRequires: gnome-disk-utility-ui-devel >= %{gdu_version}
BuildRequires: PolicyKit-devel >= %{policykit_version}
BuildRequires: PolicyKit-gnome-devel >= %{policykit_version}
BuildRequires: libxml2-devel
BuildRequires: intltool
BuildRequires: gettext


%description
Simple extension for formatting disks, usb sticks and other media,
available from Nautilus context menu. This extension is built on top 
of the gnome-disk-utility library with DeviceKit-disks as a backend.
Access to physical devices is controlled by PolicyKit.

%package -n gnome-disk-utility-format
Summary: Simple disk formatting utility for Gnome
Group: Applications/File

%description -n gnome-disk-utility-format
Simple graphical tool for formatting disks, usb sticks and other media.
This tool is built on top of the gnome-disk-utility library with
DeviceKit-disks as a backend. Access to physical devices is controlled 
by PolicyKit.


%prep
%setup -q


%build
%configure --disable-static --enable-standalone
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

desktop-file-install --delete-original  \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-disk-utility-format.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README NEWS TODO
%{_libdir}/nautilus/extensions-2.0/*.so

%files -n gnome-disk-utility-format
%defattr(-,root,root,-)
%doc COPYING README NEWS TODO
%{_bindir}/gnome-disk-utility-format
%{_datadir}/applications/gnome-disk-utility-format.desktop


%changelog
* Mon Mar  9 2009 Tomas Bzatek <tbzatek@redhat.com> - 0.2-git20090309.1
- Rebase to latest git

* Wed Mar  4 2009 Tomas Bzatek <tbzatek@redhat.com> - 0.2-git20090304.1
- Rebase to latest git

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-git20090204.1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb  4 2009 Tomas Bzatek <tbzatek@redhat.com> - 0.1-git20090204.1
- Rebase to latest git

* Wed Feb  4 2009 Tomas Bzatek <tbzatek@redhat.com> - 0.1-git20090130.1
- Initial packaging
